nvm/test/fast/Running 'nvm use foo' where...

40 lines
992 B
Plaintext
Raw Permalink Normal View History

#!/bin/sh
set -ex
die () { echo "$@" ; cleanup ; exit 1; }
cleanup() {
2016-07-07 16:14:37 +08:00
rm -rf "$(nvm_alias_path)/foo"
}
\. ../../nvm.sh
2016-07-07 16:14:37 +08:00
nvm_make_alias foo foo
set +ex # needed for stderr
OUTPUT="$(nvm use foo 2>&1)"
set -ex
EXPECTED_OUTPUT='The alias "foo" leads to an infinite loop. Aborting.'
2016-07-07 16:14:37 +08:00
[ "_${OUTPUT}" = "_${EXPECTED_OUTPUT}" ] \
|| die "'nvm use foo' did not output >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"
set +ex # needed for stderr
EXIT_CODE="$(nvm use foo 2>/dev/null ; echo $?)"
set -ex
2016-07-07 16:14:37 +08:00
[ "_$EXIT_CODE" = "_8" ] || die "Expected exit code 8; got ${EXIT_CODE}"
set +ex # needed for stderr
2015-07-10 08:27:35 +08:00
OUTPUT="$(nvm use --silent foo 2>&1)"
set -ex
2015-07-10 08:27:35 +08:00
EXPECTED_OUTPUT=''
2016-07-07 16:14:37 +08:00
[ "_${OUTPUT}" = "_${EXPECTED_OUTPUT}" ] \
|| die "'nvm use --silent foo' did not output >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"
2015-07-10 08:27:35 +08:00
set +ex # needed for stderr
2015-07-10 08:27:35 +08:00
EXIT_CODE="$(nvm use --silent foo 2>/dev/null ; echo $?)"
set -ex
2016-07-07 16:14:37 +08:00
[ $EXIT_CODE -eq 8 ] || die "Expected exit code 8 from 'nvm use --silent foo'; got ${EXIT_CODE}"
2016-07-07 16:14:37 +08:00
cleanup